<div class="ng-header">
    <div class="ng-header-left left">
        <div class="toggle-menu-button left">
            <a class="icon" (click)="toggleMenu()"><i class="fa fa-bars"></i></a>
        </div>
        <div class="logo right">
        </div>
    </div>
    <div class="ng-header-right right">
        <div class="ng-header-right-item right">
            <a class="icon" (click)="logout()"><i class="fa fa-sign-out"></i></a>
        </div>
      
        <div class="ng-header-right-item right" (click)="userdetails.toggle($event)">
            <a class="icon"><span [innerHtml]="user.username" class="user-name"></span><i class="fa fa-user"></i></a>
        </div>
       
        <div class="ng-header-right-item right" (click)="refresh('pt_BR')">
            <a class="icon" ><img src="assets/images/br.svg"></a>
        </div>
        <div class="ng-header-right-item right">
            <span>&nbsp;</span>
        </div>
         <div class="ng-header-right-item right" (click)="refresh('es_ES')">
            <a class="icon" ><img src="assets/images/es.svg"></a>
        </div>
        <div class="ng-header-right-item right">
            <span>&nbsp;</span>
        </div>
        <div class="ng-header-right-item right" (click)="refresh('en_US')">
            <a class="icon" ><img src="assets/images/us.svg"></a>
        </div>

        

    </div>
</div>

<!-- user detials overlay panel -->
<p-overlayPanel #userdetails>
    <div><b>User Name: </b><i [innerHtml]="user.username"></i></div>
    <div><b>Email Id: </b><i [innerHtml]="user.email"></i></div>
</p-overlayPanel>
